{% extends 'index.html' %}
{% block title %}
<title>Search results</title>
{% endblock %}
{% block content1 %}
<div class="home-inner-body">
    {% if len == 0 %}
    <div class="wrapper">
        <div class="ad-link-topic">
            <p>Nothing found corresponding for your search: ' {{q}} '</p>
        </div>
    </div>
    {% else %}
    <div class="wrapper">
        <div class="ad-link-topic">
            <p> {{len}} {% if len == 1 %} entry has {% else %} entries have{% endif %} been found for your search:
                {{q}}</p>
        </div>
    </div>
    <div class="wrapper-link">
    </div>
    <table class="table table-striped table-hover">
        <thead>
        <tr class="table-dark">
            <td>
                ID
            </td>
            <td>Title</td>
            <td>Link</td>
            <td>Description</td>
            <td>Created</td>
            <td>Updated</td>
            <td>Edit</td>
            <td>Delete</td>
        </tr>
        </thead>
        <tbody>
        {% for link in objects_list %}
        <tr class="table-light">
            <td>
                {{link.id}}
            </td>
            <td>{{link.title}}</td>
            <td><a href="{{link.url}}" target="_blank">{{ link.url}}</a></td>
            <td class="td-a"><a href="{% url 'description-view' topic_pk=link.topic.id link_pk=link.id%}" class="parr">{{link.description}}</a>
            </td>
            <td>{{link.creation_date}}</td>
            <td>{{link.update_time}}</td>
            <td class="td-upd-del"><a
                    href="{% url 'link-update' topic_pk=link.topic.id link_pk=link.id pk_topic=link.topic.id pk_link=link.id %}">Modify</a>
            </td>
            <td class="td-upd-del"><a
                    href="{% url 'link-delete' topic_pk=link.topic.id link_pk=link.id pk_topic=link.topic.id pk_link=link.id %}">Delete</a>
            </td>
        </tr>
        {% endfor %}
        </tbody>
    </table>
    {% endif %}
    <form>
        <input type="hidden" value="{{len}}" id="f">
    </form>
    {% if len == 0 %}

    {% else %}
    <div class="wrapper-paginator">
        <div class="paginator-block">
            {% if objects_list.has_previous %}
            <a class="inactive-page" href="?page={{ 1 }}" aria-label="Previous">
                &laquo;
            </a>
            {% endif %}
            {% if objects_list.number|add:'-4' > 1 %}
            <a class="inactive-page" href="?page={{ objects_list.number|add:'-6' }}">&hellip;</a>
            {% endif %}
            {% for n in objects_list.paginator.page_range %}
            {% if objects_list.number == n %}

            <a class="active-page">{{ n }}</a>
            {% elif n > objects_list.number|add:'-5' and n < objects_list.number|add:'5' %}

            <a class="inactive-page" href="?page={{ n }}">{{ n }}</a>

            {% endif %}
            {% endfor %}
            {% if objects_list.paginator.num_pages > objects_list.number|add:'5' %}
            <a class="inactive-page" href="?page={{ objects_list.number|add:'6' }}">&hellip;</a>
            {% endif %}
            {% if objects_list.has_next %}
            <a class="inactive-page" href="?page={{ objects_list.paginator.num_pages }}" aria-label="Next">
                &raquo;
            </a>
            {% endif %}
        </div>
    </div>
    {% endif %}
</div>

<script>
        let len = document.getElementById("f").value;
        let cl = document.getElementsByClassName("parr");
        for(i=0; i<cl.length; i++){
            let text_string = "";
            let val = cl[i].text;
            if(val.length > 15){
                for(j=0; j<15;j++){
                    text_string += cl[i].text[j];
                }
            cl[i].text = text_string + "...";
            }
        }







</script>
{% endblock %}